apiVersion: backstage.io/v1alpha1
kind: Component
metadata:
  name: kubernetes-GITHUB
  namespace: default
  description: All deployment van Kubernetes clusters in github
  annotations:
    backstage.io/techdocs-ref: dir:./docs
  links:
    - url: https://github.com/AllardKrings/kubernetes
      title: AllardDCS Kubernetes Configuration
  docs:
    - url: ./docs/README.md
spec:
  type: service
  lifecycle: production
  owner: group:default/allarddcs
  repo: https://github.com/AllardKrings/kubernetes.git
  techdocs:
    url: ./docs
  children:
    - ./odroid/catalog-info.yaml
    - ./riscv/catalog-info.yaml
    - ./asus/catalog-info.yaml
    - ./dev/catalog-info.yaml
    - ./scripts/catalog-info.yaml
    - ./docs/catalog-info.yaml
    - ./kubernetes/catalog-info.yaml
    - ./diversen/catalog-info.yaml
    - ./lp/catalog-info.yaml
    - ./node_modules/catalog-info.yaml
    - ./.git/catalog-info.yaml
    - ./temp/catalog-info.yaml
    - ./prod/catalog-info.yaml
    - ./ansible/catalog-info.yaml
